<?php

namespace Teste\Teste\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Teste\Teste\Interfaces\Tabela1RepositoryInterface;

class Tabela1PublicController extends BaseController
{
    // use Tabela1Workflow;

    /**
     * Constructor.
     *
     * @param type \Teste\Tabela1\Interfaces\Tabela1RepositoryInterface $tabela1
     *
     * @return type
     */
    public function __construct(Tabela1RepositoryInterface $tabela1)
    {
        $this->repository = $tabela1;
        parent::__construct();
    }

    /**
     * Show tabela1's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $tabela1s = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('teste::public.tabela1.index', compact('tabela1s'))->render();
    }

    /**
     * Show tabela1.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $tabela1 = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('teste::public.tabela1.show', compact('tabela1'))->render();
    }

}
