<?php

namespace Teste\Teste\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Teste\Teste\Models\Tabela1;

class Tabela1Action
{
    /**
     * Perform the complete action.
     *
     * @param Tabela1 $tabela1
     *
     * @return Tabela1
     */
    public function complete(Tabela1 $tabela1)
    {
        try {
            $tabela1->status = 'complete';
            return $tabela1->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param Tabela1 $tabela1
     *
     * @return Tabela1
     */public function verify(Tabela1 $tabela1)
    {
        try {
            $tabela1->status = 'verify';
            return $tabela1->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param Tabela1 $tabela1
     *
     * @return Tabela1
     */public function approve(Tabela1 $tabela1)
    {
        try {
            $tabela1->status = 'approve';
            return $tabela1->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param Tabela1 $tabela1
     *
     * @return Tabela1
     */public function publish(Tabela1 $tabela1)
    {
        try {
            $tabela1->status = 'publish';
            return $tabela1->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param Tabela1 $tabela1
     *
     * @return Tabela1
     */
    public function archive(Tabela1 $tabela1)
    {
        try {
            $tabela1->status = 'archive';
            return $tabela1->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param Tabela1 $tabela1
     *
     * @return Tabela1
     */
    public function unpublish(Tabela1 $tabela1)
    {
        try {
            $tabela1->status = 'unpublish';
            return $tabela1->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
