<?php

namespace Teste\Teste\Workflow;

use Teste\Teste\Models\Tabela1;
use Teste\Teste\Notifications\Tabela1 as Tabela1Notifyer;
use Notification;

class Tabela1Notification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Tabela1 $tabela1
     *
     * @return void
     */
    public function complete(Tabela1 $tabela1)
    {
        return Notification::send($tabela1->user, new Tabela1Notifyer($tabela1, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Tabela1 $tabela1
     *
     * @return void
     */
    public function verify(Tabela1 $tabela1)
    {
        return Notification::send($tabela1->user, new Tabela1Notifyer($tabela1, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Tabela1 $tabela1
     *
     * @return void
     */
    public function approve(Tabela1 $tabela1)
    {
        return Notification::send($tabela1->user, new Tabela1Notifyer($tabela1, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Tabela1 $tabela1
     *
     * @return void
     */
    public function publish(Tabela1 $tabela1)
    {
        return Notification::send($tabela1->user, new Tabela1Notifyer($tabela1, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Tabela1 $tabela1
     *
     * @return void
     */
    public function archive(Tabela1 $tabela1)
    {
        return Notification::send($tabela1->user, new Tabela1Notifyer($tabela1, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Tabela1 $tabela1
     *
     * @return void
     */
    public function unpublish(Tabela1 $tabela1)
    {
        return Notification::send($tabela1->user, new Tabela1Notifyer($tabela1, 'unpublish'));;

    }
}
